/* ----------------------------------------------------------------------------
 *  gpsExample / SUP500F
 * ----------------------------------------------------------------------------
 *  prog: max.rheiner@zhdk.ch
 * ----------------------------------------------------------------------------
 */

#include <TinyGPS.h>
#include "gpsWrapper.h"


GpsWrapper  gpsWrapper;
unsigned long start = millis();

void setup()
{
  // output serial
  Serial.begin(9600);
  Serial.println("-----------------");
  Serial.println("Start gps reading");
  Serial.println("-----------------");
  
  // gps serial
  gpsWrapper.start(&Serial1,9600);
}

void loop()
{
  gpsWrapper.parseGps();
 
  if(millis() - start > 3000)
  {  // output data
    start = millis(); 
    
    // print out status
    gpsWrapper.dump(&Serial);
  }
}

